package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 发布申请表
 * </p>
 *
 * @author fu
 * @since 2025-02-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaFbdDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 发布申请表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 表单定义表主键
     */
    private Integer formId;

    /**
     * 单据编号
     */
    private String docNo;

    /**
     * 申请人id
     */
    private Long proposer;

    /**
     * 申请名称
     */
    private String applicationName;

    /**
     * 单据状态 (0:未提交,1:审批中,2:审批通过,3:审批不通过)
     */
    private Integer docStatus;

    /**
     * 申请发布时间
     */
    private LocalDateTime publishTime;

    /**
     * 发布项目名称
     */
    private String publishProject;

    /**
     * 项目类型(1:前端,2:后端)
     */
    private Integer projectType;

    /**
     * 上线功能
     */
    private String onlineFunction;

    /**
     * 上线前准备
     */
    private String preparation;

    /**
     * 附件
     */
    private String annex;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
